मैं अपनी विंडोज़ 64 बिट ओएस में ओपनफ़ायर स्थापित करने की कोशिश कर रहा था, लेकिन सर्वर शुरू नहीं हो रहा था, और नीचे त्रुटि संदेश दे रहा था।

जो कहता है कि JAVA_HOME 32 बिट JRE को इंगित नहीं करता है,

32 jdk issue

जहां ओपनफ़ायर साइट की तरह, 32 या 64 बिट jdk संस्करण के बारे में कुछ नहीं कहा गया था।

ठीक क्लिक करने पर मैं त्रुटि संदेशों के गंभीर हो रहा हूं,

error message 2

error message 3

क्या मुझे 32 बिट jdk और jre पर ओपनफायर को काम करने योग्य बनाने की आवश्यकता है?

-1
pappu_kutty 25 नवम्बर 2015, 14:30

3 जवाब

सबसे बढ़िया उत्तर

मैंने ओपनफायर का जिप संस्करण डाउनलोड किया है, जिसमें यह समस्या है, मैंने डाउनलोड किया है। मेरे पास। बंडल के साथ .exe संस्करण है, जो ठीक काम कर रहा है।

0
pappu_kutty 26 नवम्बर 2015, 06:35

कमांड लाइन से ओपनफ़ायर शुरू करना संभव है: {{ X 0 }}

यह मानते हुए कि ./lib के ओपनफ़ायर इंस्टॉलेशन dir से निष्पादित किया गया है, और आपके पास सिस्टम पथ में आपके पसंदीदा जावा के बायनेरी हैं।

1
Lauri 11 जिंदा 2016, 21:09

त्रुटि का मतलब वही है जो उसने कहा था। आपने जावा / JDK के गलत आर्किटेक्चर स्वाद को स्थापित किया है या जावा को बिल्कुल भी स्थापित नहीं किया है। यदि आपने अभी तक 32-बिट JDK स्थापित नहीं किया है, तो इसे http://www.oracle.com/technetwork/java/javase/downloads/jdk8-downloads-2133151.html और इसे इंस्टॉल करें। यदि आपके पास पहले से ही 32 बिट JDK है, तो अपने सिस्टम के पर्यावरण चर को JAVA_HOME को सही स्थापना के लिए बदलने के लिए बदलें। https://adocs.oracle.com/cd/E19182- देखें आगे के निर्देशों के लिए 01 / 820-7851 / inst_cli_jdk_javahome_t /। यदि वह मदद नहीं करता है, तो हर JDK इंस्टॉलेशन को खरोंच से 32-बिट JDK स्थापित करें।

0
Maximilian Gerhardt 25 नवम्बर 2015, 11:58